Bug 499870 - Wacom driver with Intuos tablet does not report button press after a proximity leave/re-enter
Summary: Wacom driver with Intuos tablet does not report button press after a proximit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Aristeu Rozanski
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 508275
TreeView+ depends on / blocked
 
Reported: 2009-05-08 16:59 UTC by Olivier Fourdan
Modified: 2018-10-20 02:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 08:03:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (1.58 KB, patch)
2009-06-24 10:45 UTC, Olivier Fourdan
no flags Details | Diff
updated patch (1.74 KB, patch)
2009-06-26 14:08 UTC, Aristeu Rozanski
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 08:53:34 UTC

Description Olivier Fourdan 2009-05-08 16:59:06 UTC
Description of problem:

The driver for Wacom tablet in the kernel does not report the stylus button being pressed after a proximity leave/re-enter event for Intuos tablets.

Version-Release number of selected component (if applicable):

kernel-2.6.18-128.1.6

How reproducible:

100% reproducible

Steps to Reproduce:
1) Install and configure a Wacom Intuos tablet on EL5
2) Press and hold a button on the stylus
3) Move away from button while still holding down the stylus
4) Move back into the button coordinates while still holding down stylus
  
Actual results:

The button does not retain the button-pressed event on moving back into focus

Expected results:

Button should retain button-pressed event on moving back into focus.

Additional info:

The upstream maintainer of the Wacom driver (Ping Cheng <pingc>) has identified the portion of code missing in the driver we are shipping in EL5 and provided a patch to the customer.

The patch adds a portion of code that is present in the driver upstream,in wacom_intuos_inout() in wacom_wac.c:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/input/tablet/wacom_wac.c

A test kernel including that patch has been provided to the customer who confirmed that it fixes the issue.

Comment 2 Günther Sommer 2009-05-11 11:46:56 UTC
This was related to a WACOM Cintiq 21UX tablet. As the WACOM Intous and the Cintiq share the same driver, they are both affecteed.

Comment 5 Olivier Fourdan 2009-06-24 10:45:21 UTC
Created attachment 349223 [details]
Proposed patch

This is the patch from upstream described previously.

Comment 7 RHEL Program Management 2009-06-24 14:13:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 Aristeu Rozanski 2009-06-26 14:08:30 UTC
Created attachment 349554 [details]
updated patch

Comment 14 Don Zickus 2009-06-30 20:22:23 UTC
in kernel-2.6.18-156.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 16 Günther Sommer 2009-07-02 12:36:06 UTC
We did test the kernel-2.6.18-156.el5 and the proximity problem is solved in there as well.

Comment 17 Evan McNabb 2009-07-02 17:40:55 UTC
Günther, thank you for your testing feedback.

Comment 20 errata-xmlrpc 2009-09-02 08:03:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html


Note You need to log in before you can comment on or make changes to this bug.